summaryrefslogtreecommitdiffstats
path: root/ipsec-tools/bootstrap
diff options
context:
space:
mode:
authorChristian Mauderer <christian.mauderer@embedded-brains.de>2018-05-30 14:27:35 +0200
committerChristian Mauderer <christian.mauderer@embedded-brains.de>2018-08-01 09:55:27 +0200
commitff36f5e409707ada66506eefd4ac0a396cb28055 (patch)
tree9594b2a1aeb06b4ecaaae02644a65525adaf5bb5 /ipsec-tools/bootstrap
parentif_ipsec: Port and add to everything-buildset. (diff)
downloadrtems-libbsd-ff36f5e409707ada66506eefd4ac0a396cb28055.tar.bz2
Import ipsec-tools 0.8.2.
Import unchanged ipsec-tools sources in the release version 0.8.2. The homepage of ipsec-tools is http://ipsec-tools.sourceforge.net/. The sources can be obtained from there.
Diffstat (limited to 'ipsec-tools/bootstrap')
-rwxr-xr-xipsec-tools/bootstrap21
1 files changed, 21 insertions, 0 deletions
diff --git a/ipsec-tools/bootstrap b/ipsec-tools/bootstrap
new file mode 100755
index 00000000..1f2bdb66
--- /dev/null
+++ b/ipsec-tools/bootstrap
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -x
+
+case `uname -s` in
+Darwin)
+ LIBTOOLIZE=glibtoolize
+ ;;
+*)
+ LIBTOOLIZE=libtoolize
+ ;;
+esac
+
+# Remove autoconf 2.5x's cache directory
+rm -rf autom4te*.cache
+
+aclocal -I . || exit 1
+autoheader || exit 1
+${LIBTOOLIZE} --force --copy || exit 1
+automake --foreign --add-missing --copy || exit 1
+autoconf || exit 1